Subject: bug#18591: closed (Re: bug#18591: 24.4.50; bootstrap-emacs crashes when trying to bytecompile tibetan.el)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 01 Oct 2014 20:12:02 +0000

Your bug report

#18591: 24.4.50; bootstrap-emacs crashes when trying to bytecompile tibetan.el

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18591: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18591
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18591: 24.4.50; bootstrap-emacs crashes when trying to bytecompile tibetan.el
From: Eli Zaretskii <[email-masked]>
To: Vincent Belaïche <[email-masked]>
Cc: [email-masked]
Date: Wed, 01 Oct 2014 23:11:22 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Vincent Belaïche <[email-masked]> 
> Cc: Vincent Belaïche <[email-masked]> ,
>  "18591\@debbugs.gnu.org" <[email-masked]>
> Date: Wed, 01 Oct 2014 21:58:38 +0200
> 
> FYI, I have rebuilt with replacing c:/ pathes by /c/ pathes, and the
> make went to the end --- however, like for you it crashes when launched
> interactively, here is a log.

Update from upstream and rebuild, this problem is already fixed on the
trunk.

Subject: 24.4.50; bootstrap-emacs crashes when trying to bytecompile tibetan.el
From: Vincent Belaïche <[email-masked]>
To: [email-masked]
Cc: Vincent Belaïche <[email-masked]>
Date: Tue, 30 Sep 2014 17:11:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I am trying to build the latest (bzr update this morning) Emacs and it
fails when compiling language/tibetan.el with src/bootstrap-emacs.exe,
and what happens is a CRASH.

Attached is the log of my build session.

After the stop of the build, I tried to do the same compilation on
command line, and I saw that it crashes. Then I did with under gdb to
have the bt full log.

VBR,
  Vincent.

In GNU Emacs 24.4.50.1 (i686-pc-mingw32)
 of 2014-09-23 on CHOUNEK
Repository revision: 117919 [email-masked]
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --prefix=c:/Programme/GNU/Emacs --without-jpeg
 --without-tiff --without-gif --without-png 'CPPFLAGS= -DFOR_MSW=1 -I
 C:/Programme/GNU/installation/emacs-install/libXpm-3.5.8/include -I
 C:/Programme/GNU/installation/emacs-install/libXpm-3.5.8/src -L
 c:/Programme/GNU/installation/emacs-install/libXpm-3.5.8/src'
 CPP=/mingw/bin/cpp.exe
 PKG_CONFIG_PATH=/mingw/lib/pkgconfig:/usr/local/lib/pkgconfig'

Configured features:
XPM SOUND NOTIFY ACL ZLIB

Important settings:
  value of $EMACSPATH: c:\Programme\NGNU\CVS;C:\Programme\GNU\GnuPG;c:\Programme\apache-ant-1.8.0\bin;c:\msys\1.0\bin;c:\msys\1.0\mingw\bin;
  value of $LANG: FRA
  locale-coding-system: cp1252

Major mode: Shell

Minor modes in effect:
  shell-dirtrack-mode: t
  recentf-mode: t
  mail-abbrevs-mode: t
  iswitchb-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
r e SPC s e c <M-backspace> <M-backspace> <M-backspace> 
j ' a i SPC r é u s s i SPC à SPC m e SPC l i b r <backspace> 
é r é e <backspace> <backspace> e r , SPC e t SPC c 
' e s t SPC k <backspace> o k SPC p p i u r <backspace> 
<backspace> <backspace> <backspace> o u r SPC j e d 
u <backspace> <backspace> u d i SPC 1 3 : 3 0 SPC c 
o m m e SPC i n i t i a l e m e n t SPC p r é v u . 
<return> <return> SPC SPC N t a l <backspace> <backspace> 
<backspace> a t a s h a . <up> <up> <up> <up> <up> 
<up> <up> <up> C-a C-M-% C-q C-j ² ( [ ^ C-q C-j ] 
² ) <return> ² <backspace> SPC ² 1 <return> n y n y 
n <up> <up> <up> <up> <up> <up> C-a <down> <down> <up> 
C-k <down> C-k <down> C-k <up> <up> <up> C-SPC <left> 
<down> <down> <down> <down> M-w <help-echo> M-x r c 
e <backspace> <backspace> e c e t n f <backspace> <backspace> 
<backspace> n t f - f <return> <return> C-s m a k e 
f C-w - t <down> <down> C-x d <M-backspace> <M-backspace> 
<M-backspace> i n s <tab> <return> C-x 1 <next> <prior> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> i 
<down> <down> <return> C-s b y t <C-left> <C-left> 
C-SPC <C-right> <C-right> <C-right> M-w C-x b C-s C-s 
C-s <return> f SPC C-y SPC t <tab> i <tab> a <tab> 
<return> <help-echo> <help-echo> M-x r e p o <tab> 
r t <tab> e <tab> <return>

Recent messages:
Replaced 2 occurrences
Mark activated
Open c:/msys/1.0/local/projects/lettre_observatoire/lettre_observatoire/dist_forge/lettre.dtx
Mark saved where search started
Mark set
Mark saved where search started
Mark set
Auto-saving...done
Mark set
Making completion list... [2 times]

Load-path shadows:
d:/msys/1.0/home/Vincent/.emacs.d/etc/custom hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/custom
./vietnamese hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/vietnamese
./viet-util hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/viet-util
./utf-8-lang hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/utf-8-lang
./tv-util hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/tv-util
./tibetan hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/tibetan
./tibet-util hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/tibet-util
./thai hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/thai
./thai-word hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/thai-word
./thai-util hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/thai-util
./tai-viet hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/tai-viet
./slovak hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/slovak
./sinhala hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/sinhala
./romanian hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/romanian
./misc-lang hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/misc-lang
./lao hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/lao
./lao-util hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/lao-util
./korean hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/korean
./korea-util hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/korea-util
./khmer hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/khmer
./japanese hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/japanese
./japan-util hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/japan-util
./indian hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/indian
./ind-util hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/ind-util
./hebrew hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/hebrew
./hanja-util hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/hanja-util
./greek hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/greek
./georgian hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/georgian
./european hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/european
./ethiopic hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/ethiopic
./ethio-util hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/ethio-util
./english hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/english
./czech hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/czech
./cyrillic hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/cyrillic
./cyril-util hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/cyril-util
./chinese hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/chinese
./china-util hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/china-util
./cham hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/cham
./burmese hides c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/language/burmese
c:/Programme/GNU/Emacs_build20140924/share/emacs/24.4.50/lisp/loaddefs hides c:/Programme/GNU/installation/cedet-install/cedet/lisp/cedet/loaddefs

Features:
(shadow sort mail-extr warnings emacsbug make-mode hl-line eieio-opt
speedbar sb-image ezimage dframe find-func help-mode jka-compr info
compile dired-aux iso-transl bbdb-message sendmail gnus-util message
format-spec rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse
rfc2231 rfc2047 rfc2045 ietf-drums mm-util help-fns mail-prsvr
mail-utils gmm-utils mailheader vc-dispatcher vc-svn m4-mode latexenc
dired-x dired bbdb-com crm misearch multi-isearch sh-script smie
executable pcmpl-unix shell pcomplete comint ansi-color ring
accents-ascii eieio byte-opt bytecomp byte-compile cconv eieio-core
tex-mik preview-latex tex-site auto-loads calc-mathfloat calc-math
edmacro kmacro w32utils java-init cl-macs cl gv bsh-init recentf
tree-widget wid-edit cl-loaddefs cl-lib generic-x cc-mode cc-fonts
cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
template mailabbrev iswitchb cus-start cus-load bbdb easymenu bbdb-site
timezone bbdb-loaddefs calc-misc calc-arith calc-ext calc calc-loaddefs
calc-macs skeleton load-path-to-cedet-svn time-date tooltip electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel dos-w32 ls-lisp
w32-common-fns disp-table w32-win w32-vars tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process w32notify w32
multi-tty emacs)

Memory information:
((conses 8 422458 42542)
 (symbols 24 30952 0)
 (miscs 20 1740 1710)
 (strings 16 63195 11334)
 (string-bytes 1 2459296)
 (vectors 8 28463)
 (vector-slots 4 1298649 25868)
 (floats 8 110 773)
 (intervals 28 23043 1060)
 (buffers 516 30))